.drawer {
    font-size: inherit;
    position: fixed;
    top: 0;
    right: 0;
    z-index: 1000;
    height: 100%;
    width: $drawer-default-width;
    display: flex;
    flex-direction: column;
    background: $drawer-color-background;
    box-shadow: 0 4px 8px rgba(19, 41, 61, 0.1);
    transition: all 225ms cubic-bezier(0, 0, 0.2, 1) 0ms;
    transform: translateX(100%);
    border-radius: $border-radius 0 0 $border-radius;

    &.open {
        transform: translateX(0);
    }

    &.wide {
        width: calc(100% - #{$navigation-wide-width} - 2%);
    }

    &.narrow {
        width: calc(#{$drawer-default-width} - 5vw);
    }

    & > :nth-child(2) {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        overflow-y: auto;
    }

    .header {
        display: flex;
        flex-wrap: nowrap;
        justify-content: space-between;
        align-items: center;
        background-color: $grey-200;
        border-bottom: 1px solid $grey-300;
        @include padding(4, 10);
        border-radius: $border-radius 0 0 $border-radius;

        .title {
            margin: 0;
            color: $dark-900;
            font-weight: 600;
            font-size: $font-size-xlarge;
        }

        .icon {
            color: $dark-800;
        }
    }

    .body {
        flex-grow: 1;
        overflow-y: auto;
        @include padding(4, 10);
        //max-width: calc(100vw - #{$navigation-wide-width});
    }

    .footer {
        display: inline-flex;
        justify-content: space-between;
        flex-wrap: nowrap;
        @include padding(4, 10);

        &.end {
            justify-content: flex-end;
        }
    }
}

